#!/usr/bin/perl

$count=0;
$bufer=$ENV{'QUERY_STRING'};
$ip=$ENV{'REMOTE_ADDR'};

$filedata="$bufer.cnt";

$sec=time;

open (CNTR,"$filedata") || open(CNTR, ">$filedata");
$line=<CNTR>;
close (CNTR);
$size=scalar(@count);

($count,$oldip,$oldsec)=split("::",$line);

if($ip ne $oldip){&add;}
elsif($sec-$oldsec >= 30){&add;} # Не учитывает посетителей с одного IP
				 # в течении 30 секунд

print "Content-type: text/html\n\n";
print "$count";


 sub add
  {
  	$count+=1;
	open (CNTR,">$filedata") ;
	print CNTR "$count\:\:$ip\:\:$sec\:\:";
	close (CNTR);
	
 }